Summary:	CAMD: Constrainted Approximate Minimum Degree
Summary(pl.UTF-8):	CAMD - przybliżony ograniczony algorytm minimalnego stopnia
Name:		CAMD
Version:	2.3.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/camd/%{name}-%{version}.tar.gz
# Source0-md5:	2df3aa57af6bf241fa7f9c4ebb696ac8
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
URL:		http://www.cise.ufl.edu/research/sparse/camd/
BuildRequires:	SuiteSparse_config >= 4.0.0
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CAMD is a set of routines for ordering a sparse matrix prior to
Cholesky factorization (or for LU factorization with diagonal
pivoting).

%description -l pl.UTF-8
CAMD to zbiór procedur do porządkowania macierzy rzadkich przed
rozkładem Cholesky'ego (lub do rozkładu LU z obrotami diagonalnymi).

%package devel
Summary:	Header files for CAMD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CAMD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SuiteSparse_config >= 4.0.0

%description devel
Header files for CAMD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CAMD.

%package static
Summary:	Static CAMD library
Summary(pl.UTF-8):	Statyczna biblioteka CAMD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CAMD library.

%description static -l pl.UTF-8
Statyczna biblioteka CAMD.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/camd

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/camd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/{ChangeLog,License}
%attr(755,root,root) %{_libdir}/libcamd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcamd.so.0

%files devel
%defattr(644,root,root,755)
%doc Doc/CAMD_UserGuide.pdf
%attr(755,root,root) %{_libdir}/libcamd.so
%{_libdir}/libcamd.la
%{_includedir}/camd

%files static
%defattr(644,root,root,755)
%{_libdir}/libcamd.a
%changelog
* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 6233961
- updated to 2.3.1

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 0324248
- updated to 2.3.0; switched to SuiteSparse_config
- updated ufconfig,shared patches

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> c2670b6
- updated to 2.2.4

* Sun Jan 01 2012 Jakub Bogusz <qboosh@pld-linux.org> eb8671f
- updated to 2.2.3
- updated ufconfig,shared patches

* Thu Jan 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 587fce9
- updated to 2.2.2

* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 91a4b8a
- updated to 2.2.1

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> d890c8e
- fixed shared patch, -fPIC hack no longer needed
- fortran library is not built/installed by default

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 3838b96
- use *.lo for linking the library

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> fc5fd75
- more docs

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 1d18d65
- better summaries

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> a810a35
- ghost soname symlink
- LGPL v2.1+

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> df52c10
- pl
- BR: gcc-fortran

* Fri Dec 07 2007 ankry <ankry@pld-linux.org> 4fc8eb9
- formatting

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> c8762c4
- rel 2

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 17fabe7
- consistent library name in summary/description

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 732b2f4
- use private include dir

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 55d6eec
- use rpmldflags

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 7adbe8c
- use LDFLAGS for linking

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> a0822fc
- initial revision

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> be3a820
- build shared lib

